CREATE TABLE msc_bm_allocation_assignments (
    ASSIGNMENT_ID            NUMBER(18, 0) ,
    ALLOCATION_RULE_ID       NUMBER(18, 0)     NOT NULL,
    ASSIGNMENT_TYPE          NUMBER            NOT NULL,
    CATEGORY_NAME            VARCHAR2(1000),
    CATEGORY_SET_ID          NUMBER(18, 0) ,
    CATEGORY_ID              NUMBER(18, 0) ,
    INVENTORY_ITEM_ID        NUMBER(18, 0) ,
    ORGANIZATION_ID          NUMBER(18, 0) ,
    RESOURCE_ID              NUMBER(18, 0) ,
    RESOURCE_GROUP           VARCHAR2(120) ,
    REFRESH_NUMBER           NUMBER(18, 0) ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ASSIGNMENT_ID            NUMBER(18, 0) ,
    ALLOCATION_RULE_ID       NUMBER(18, 0)     NOT NULL,
    ASSIGNMENT_TYPE          NUMBER            NOT NULL,
    CATEGORY_NAME            VARCHAR2(1000),
    CATEGORY_SET_ID          NUMBER(18, 0) ,
    CATEGORY_ID              NUMBER(18, 0) ,
    INVENTORY_ITEM_ID        NUMBER(18, 0) ,
    ORGANIZATION_ID          NUMBER(18, 0) ,
    RESOURCE_ID              NUMBER(18, 0) ,
    RESOURCE_GROUP           VARCHAR2(120) ,
    REFRESH_NUMBER           NUMBER(18, 0) ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_msc_bm_allocation_assignments PRIMARY KEY (ASSIGNMENT_ID, ASSIGNMENT_ID)
);
